org.eclipse.microprofile.metrics.tck.cdi

## Class ApplicationScopedTimedMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.ApplicationScopedTimedMethodBeanTest

    public class ApplicationScopedTimedMethodBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ApplicationScopedTimedMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callTimedMethodOnce()`
`void` `instantiateApplicationScopedBeanAndTests()`
`void` `timedMethodNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationScopedTimedMethodBeanTest

    public ApplicationScopedTimedMethodBeanTest()

### Method Detail

#### instantiateApplicationScopedBeanAndTests

    public void instantiateApplicationScopedBeanAndTests()

#### timedMethodNotCalledYet

    @InSequence(value=1)
    public void timedMethodNotCalledYet()

#### callTimedMethodOnce

    @InSequence(value=2)
    public void callTimedMethodOnce()